# source https://sourceforge.net/projects/kadu/files/kadu/4.3/kadu-4.3.tar.bz2

%global 	_cmake_skip_rpath %{nil}

Name:		kadu
Version:	4.3
Release:	%mkrel 2
Summary:        A Gadu-Gadu and XMPP protocol instant messenger client
Summary(de):    Ein Gadu-Gadu und XMPP-Protokoll Sofortnachrichtenklient
Summary(pl):    Komunikator obsługujący sieci Gadu-Gadu i XMPP

License:	GPLv2+
Group:		Networking/Instant messaging
URL:		http://www.kadu.im/
Source0:	%{name}-%{version}.tar.xz
Patch0:		%{name}-%{version}-disable-plugins.patch

BuildRequires:  cmake
BuildRequires:  %{_lib}archive-devel
BuildRequires:	%{_lib}enchant-devel
BuildRequires:  %{_lib}gadu-devel >= 1.12.2
BuildRequires:  %{_lib}idn-devel
BuildRequires:  %{_lib}injeqt-devel >= 1.1.0
BuildRequires:  %{_lib}mpdclient-devel
BuildRequires:  %{_lib}otr-devel
BuildRequires:  %{_lib}qt5concurrent-devel
BuildRequires:  %{_lib}qt5dbus-devel
BuildRequires:  %{_lib}qt5help-devel
BuildRequires:  %{_lib}qt5multimedia-devel
BuildRequires:  %{_lib}qt5quickwidgets-devel
BuildRequires:	%{_lib}qt5test-devel
BuildRequires:  %{_lib}qt5webkitwidgets-devel
BuildRequires:  %{_lib}qt5x11extras-devel
BuildRequires:  %{_lib}qtscript-devel
BuildRequires:  %{_lib}qtxmlpatterns5-devel
BuildRequires:  %{_lib}qxmpp-devel
BuildRequires:  %{_lib}xscrnsaver-devel
Requires:	qtbase5-database-plugin-sqlite

%description
Kadu is a dynamically evolving instant messenger compatible with the Gadu-Gadu
and XMPP protocol. It can be run on all platforms supporting the Qt toolkit.

%description -l de
Kadu ist ein dynamisch entwickelndes Kommunikationsprogramm, das Protokollen
von Gadu-Gadu und XMPP bedient. Er ist unterstützt auf allen Platformen des Qt-Frameworks.

%description -l pl
Kadu to dynamicznie rozwijający się komunikator obsługujący protokoły Gadu-Gadu
oraz XMPP. Może być uruchamiany na platformach obsługujących Qt.

%prep
%setup -q
%{apply_patches}

%build
%cmake \
  -DCMAKE_CXX_STANDARD=14 \
  -DENABLE_TESTS=OFF \
  -DINSTALL_SDK=OFF
%make_build

%install
%makeinstall_std -C build

%files
%{_bindir}/%{name}
%{_libdir}/%{name}
%{_desktopdir}/%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}.png
%{_datadir}/%{name}

%changelog
* Fri Sep 15 2017 adrianomorselli <adrianomorselli> 4.3-2uplos2017
- update
